<div class="row">
    <div class="col-lg-5">
        <select class="form-control" [(ngModel)]="selectedVPConfig">
            <option [ngValue]="null" disabled>Select View Provider</option>
            <option *ngFor="let config of availableViewProviders()" [ngValue]="config">{{ config.name }}</option>
        </select>
    </div>
    <div class="col-lg-7">
        <button class="btn btn-success" (click)="addWidget()" [disabled]="!selectedVPConfig">Add Widget</button>
        <button class="btn btn-primary" (click)="saveRestoreTest()" title="Dashboard will dissapear and reappear again after 5 seconds">Save / Restore Test</button>
    </div>
</div>

<hr>

<app-dashboard-grid [dashboard]="DASHBOARD_ID"></app-dashboard-grid>
